Monitores de servidor
GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Qué campo estás buscando? Los valores permitidos son: name, target. |
| is_enabled | Opcional Boolean | |
| project_id | Opcional Entero | |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime, last_log_datetime |
| datetime_start | Opcional Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadena | Qué campo ordenar los resultados por. Los valores permitidos son: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 11:06:03",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime4.com/api/server-monitors?page=1",
"last": "https://uptime4.com/api/server-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/server-monitors?page=1"
}
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 11:06:03",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| target | Requerido Cadena | - |
| project_id | Opcional Entero | - |
| notifications | Opcional Array | Identificadores del manejador de notificaciones |
| server_check_interval_seconds | Opcional Entero | Valores permitidos: 60, 300, 600, 900, 1800 (segundos) |
| alert_metric[key] | Opcional Cadena | Valores permitidos: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Opcional Cadena | Valores permitidos: is_higher, is_lower |
| alert_value[key] | Opcional Cadena | Valores permitidos: 1-99 |
| alert_trigger[key] | Opcional Cadena | Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": "Example",
"network_download": "Example",
"network_total_upload": "Example",
"network_upload": "Example",
"os_name": null,
"os_version": null,
"kernel_name": null,
"kernel_version": null,
"kernel_release": null,
"cpu_architecture": null,
"cpu_model": null,
"cpu_cores": "Example",
"cpu_frequency": "Example",
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 11:06:03",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| target | Requerido Cadena | - |
| project_id | Opcional Entero | - |
| notifications | Opcional Array | Identificadores del manejador de notificaciones |
| server_check_interval_seconds | Opcional Entero | Valores permitidos: 60, 300, 600, 900, 1800 (segundos) |
| alert_metric[key] | Opcional Cadena | Valores permitidos: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Opcional Cadena | Valores permitidos: is_higher, is_lower |
| alert_value[key] | Opcional Cadena | Valores permitidos: 1-99 |
| alert_trigger[key] | Opcional Cadena | Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 11:06:03",
"last_datetime": null
}
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \